import { createRouter, createWebHashHistory } from "vue-router";
import Layout from "../components/Layout.vue";
import Routers from "./routers.js";
const routes = [
  {
    path: "/",
		redirect: "/etl",
  },
  {
    path: "/",
    name: "Layout",
    component: Layout,
    children: Routers,
  },
  {
    path: "/404",
    name: "404",
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ "../views/404.vue"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

const defaultTitle = 'ETL列表';
router.beforeEach((to, from, next) => {
	document.title = to.meta.title ? to.meta.title : defaultTitle;
	next();
});

export default router;
